# -----------------------------------------------------------
# This script takes as input a city with population grid
# and a GTFS network and returns the corresponding MRT
# access for several distances.
#
# Vincent Verbavatz - 2020
# -----------------------------------------------------------

import sys, os

sys.path.append('mrt_tools')

from process_gtfs import process_gtfs
from intersect_network import intersect_network

#Defines distance thresholds from which to calculate MRT access levels.
buffer_dists = [500, 1000, 1500]

if __name__ == '__main__':
    if len(sys.argv[1:]) == 2:
        city_path = sys.argv[1]
        gtfs_path = sys.argv[2]
    elif len(sys.argv[1:]) == 1:
        city_path = sys.argv[1]
        for file in os.listdir(city_path):
            if file.endswith('.zip'):
                gtfs_path = city_path + "/" + file
    else:
        print("Missing arguments. Arguments must be: <path_to_city_folder> <gtfs_path>")
        quit()

    if os.path.isdir(city_path) is False:
        print("First argument must be a folder")
        quit()
    if gtfs_path.endswith(".zip") is False:
        print("Second argument must be a zipfile")
        quit()

    cityname = city_path[:-1]

    process_gtfs(gtfs_path, cityname)

    intersect_network(cityname, buffer_dists)
