# Data

1. Population grids are taken from the Global Human Settlement (GHS)  project. The dataset used is the 250m-grid and Mollweide projected 2015 GHS-POP, available for download at:
https://ghsl.jrc.ec.europa.eu/download.php?ds=pop.  
2. GTFS files can be accessed from the OpenMobilityData project at:  
https://transitfeeds.com or from local transit depositories (GTFS für Deutschland accessible at https://gtfs.de/, Open platform for French public data from https://www.data.gouv.fr, Transport for London Station Locations available at https://data.london.gov.uk/dataset/tfl-station-locations).
3. Boundaries of urban areas are taken from the OECD definition of Functional Urban Areas (FUA) as available by country at:  
https://www.oecd.org/cfe/regional-policy/functionalurbanareasbycountry.htm.

# Code  

The open code available on this platform comprises:
- Population data processing tools.
- MRT access calculation tools.  

## Population data processing

Population data processing consists of scripts that intersect GHS grid of population with FUA boundaries.  

- Raster GHS data can be vectorized with **vectorization.py**.  
- FUA shapefiles can be reprojected to Mollweide projection with **to_mollweide.py**.
- FUA and GHS vectorized grids can be intersected with **intersect_cities.py**.

## MRT access calculation

MRT access calculation tools help joining GTFS data files with populations grids.

### Merge feeds

To merge different GTFS zipfiles that relate to the same city, run:
~~~
python merge_feeds.py <input_directory> <output.zip>
~~~

### Compute MRT access for a specific city

#### Easy use

Make sure you have a GTFS zip file and a city_folder with population shapefile in the current directory.  
Run:

~~~
python intersect_mrt.py <path_to_city_folder> <gtfs.zip>
~~~

It will output the share of population living at several distances (base settings: 500m, 1000m and 1500m) from MRT stations in the given city according to GTFS stations. Results can be found in the **mrt_access.csv** file.
Auxiliary shapefiles are also produced in the city folder.

#### Change access distances

Change the values
~~~
buffer_dists = [500, 1000, 1500]
~~~
in **intersect_mrt.py**.
